Method: curators.dataSegments.create
Stay organized with collections
Save and categorize content based on your preferences.
outlined_flag
This document outlines how to create a data segment owned by a listed curator, which will be immediately available for buyers in various deal types.
The HTTP request method is POST and uses a specific URL structure with gRPC Transcoding syntax.
The parent path parameter is required and specifies the resource where the data segment will be created.
The request body requires an instance of DataSegment, and a successful response body will contain a newly created instance of DataSegment.
Creating a data segment requires the https://www.googleapis.com/auth/authorized-buyers-marketplace OAuth scope for authorization.
Creates a data segment owned by the listed curator. The data segment will be created in the ACTIVE state, meaning it will be immediately available for buyers to use in preferred deals, private auction deals, and auction packages.
HTTP request
POST https://authorizedbuyersmarketplace.googleapis.com/v1beta/{parent=curators/*}/dataSegments
The URL uses gRPC Transcoding syntax.
Path parameters
Parameters
parent
string
Required. The parent resource where this data segment will be created. v1alpha format: buyers/{accountId} v1beta format: curators/{accountId}
Request body
The request body contains an instance of DataSegment .
Response body
If successful, the response body contains a newly created instance of DataSegment .
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/authorized-buyers-marketplace
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License , and code samples are licensed under the Apache 2.0 License . For details, see the Google Developers Site Policies . Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2025-06-12 UTC.
[null,null,["Last updated 2025-06-12 UTC."],[],[]]